from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XProcessingInstruction(XNode, Protocol):
    def getData(self) -> str: ...
    def getTarget(self) -> str: ...
